gnuastro-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnuastro-commits] master 113e476 2/2: Tests print cause of skip


From: Mohammad Akhlaghi
Subject: [gnuastro-commits] master 113e476 2/2: Tests print cause of skip
Date: Sat, 6 May 2017 12:08:24 -0400 (EDT)

branch: master
commit 113e4768b4a495dccfcdc87876bc7c0f20cd38cb
Author: Mohammad Akhlaghi <address@hidden>
Commit: Mohammad Akhlaghi <address@hidden>

    Tests print cause of skip
    
    Until now, when the necessary conditions (executable file or input images)
    of a test were not present, it would just return a skip value. So it was
    not clear why the test is being skipped in the `test-suite.log' file.
    
    So with this commit, if any input condition is not present, before
    returning a skip value and exiting, it is going to emit a message of what
    is missing.
    
    Thanks to a report by Boud Roukema, we found that the
    `buildprog/simpleio.c' file that was an input to the
    `buildprog/simpleio.sh' test was not being distributed in the tarball. This
    has been corrected with this commit.
---
 tests/Makefile.am                 |  8 ++++----
 tests/arithmetic/onlynumbers.sh   |  3 +--
 tests/arithmetic/or.sh            |  3 ++-
 tests/arithmetic/snimage.sh       |  3 ++-
 tests/arithmetic/where.sh         |  3 ++-
 tests/buildprog/simpleio.sh       |  8 ++++----
 tests/convertt/blankch.sh         |  6 +++---
 tests/convertt/fitstojpeg.sh      |  7 ++++---
 tests/convertt/fitstojpegcmyk.sh  |  7 +++----
 tests/convertt/fitstopdf.sh       |  6 ++++--
 tests/convertt/fitstotxt.sh       |  5 ++---
 tests/convertt/jpegtofits.sh      |  6 +++---
 tests/convertt/jpegtotxt.sh       |  6 +++---
 tests/convolve/frequency.sh       |  5 +++--
 tests/convolve/spatial.sh         |  5 +++--
 tests/cosmiccal/simpletest.sh     |  3 +--
 tests/crop/imgcat.sh              |  3 ++-
 tests/crop/imgoutpolygon.sh       |  3 ++-
 tests/crop/imgpolygon.sh          |  3 ++-
 tests/crop/radec.sh               |  7 ++++---
 tests/crop/section.sh             |  4 ++--
 tests/crop/wcscat.sh              |  6 ++++--
 tests/crop/wcspolygon.sh          | 10 ++--------
 tests/crop/xcyc.sh                |  3 ++-
 tests/crop/xcycnoblank.sh         |  3 ++-
 tests/fits/copyhdu.sh             |  6 +++---
 tests/fits/delete.sh              |  3 ++-
 tests/fits/print.sh               |  3 ++-
 tests/fits/update.sh              |  3 ++-
 tests/fits/write.sh               |  3 ++-
 tests/lib/multithread.sh          |  7 +++++--
 tests/lib/versioncpp.sh           |  8 +++++---
 tests/mkcatalog/aperturephot.sh   |  6 +++---
 tests/mkcatalog/simple.sh         |  3 ++-
 tests/mknoise/addnoise.sh         |  4 +++-
 tests/mkprof/clearcanvas.sh       |  6 +++++-
 tests/mkprof/ellipticalmasks.sh   |  6 +++++-
 tests/mkprof/mosaic1.sh           |  6 ++++--
 tests/mkprof/mosaic2.sh           |  6 ++++--
 tests/mkprof/mosaic3.sh           |  7 ++++---
 tests/mkprof/mosaic4.sh           |  6 ++++--
 tests/mkprof/radeccat.sh          |  6 ++++--
 tests/noisechisel/noisechisel.sh  |  3 ++-
 tests/statistics/basicstats.sh    |  3 ++-
 tests/statistics/estimate_sky.sh  |  3 ++-
 tests/table/fits-ascii-to-txt.sh  |  7 ++++---
 tests/table/fits-binary-to-txt.sh |  7 ++++---
 tests/table/txt-to-fits-ascii.sh  |  3 ++-
 tests/table/txt-to-fits-binary.sh |  3 ++-
 tests/warp/homographic.sh         |  3 ++-
 tests/warp/warp_scale.sh          |  3 ++-
 51 files changed, 147 insertions(+), 103 deletions(-)

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 8718ef2..73190ca 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -224,10 +224,10 @@ TESTS = prepconf.sh lib/versioncpp.sh lib/multithread.sh  
                 \
 
 
 # Files to distribute along with the tests.
-EXTRA_DIST = $(TESTS) during-dev.sh mkprof/mkprofcat1.txt                 \
-  mkprof/ellipticalmasks.txt mkprof/clearcanvas.txt mkprof/mkprofcat2.txt \
-  mkprof/mkprofcat3.txt mkprof/mkprofcat4.txt mkprof/radeccat.txt         \
-  crop/cat.txt table/table.txt
+EXTRA_DIST = $(TESTS) during-dev.sh buildprog/simpleio.c crop/cat.txt     \
+  mkprof/mkprofcat1.txt mkprof/ellipticalmasks.txt mkprof/clearcanvas.txt \
+  mkprof/mkprofcat2.txt mkprof/mkprofcat3.txt mkprof/mkprofcat4.txt       \
+  mkprof/radeccat.txt table/table.txt
 
 
 
diff --git a/tests/arithmetic/onlynumbers.sh b/tests/arithmetic/onlynumbers.sh
index 910dc6d..c903ee7 100755
--- a/tests/arithmetic/onlynumbers.sh
+++ b/tests/arithmetic/onlynumbers.sh
@@ -36,8 +36,7 @@ execname=../bin/$prog/ast$prog
 # types of dependencies:
 #
 #   - The executable was not made (for example due to a configure option).
-#
-if [ ! -f $execname ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
 
 
 
diff --git a/tests/arithmetic/or.sh b/tests/arithmetic/or.sh
index 2a18d1f..eb08426 100755
--- a/tests/arithmetic/or.sh
+++ b/tests/arithmetic/or.sh
@@ -40,7 +40,8 @@ img=convolve_spatial_noised_labeled.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/arithmetic/snimage.sh b/tests/arithmetic/snimage.sh
index 7548517..c54e764 100755
--- a/tests/arithmetic/snimage.sh
+++ b/tests/arithmetic/snimage.sh
@@ -40,7 +40,8 @@ img=convolve_spatial_noised_labeled.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/arithmetic/where.sh b/tests/arithmetic/where.sh
index d394028..c1c47f5 100755
--- a/tests/arithmetic/where.sh
+++ b/tests/arithmetic/where.sh
@@ -40,7 +40,8 @@ img=convolve_spatial_noised_labeled.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/buildprog/simpleio.sh b/tests/buildprog/simpleio.sh
index 44841e4..e45ab26 100755
--- a/tests/buildprog/simpleio.sh
+++ b/tests/buildprog/simpleio.sh
@@ -37,13 +37,13 @@ source=$topsrc/tests/$prog/simpleio.c
 # If the dependencies of the test don't exist, then skip it. There are two
 # types of dependencies:
 #
-#   - The executable was not made (for example due to a configure option),
+#   - The executable was not made (for example due to a configure option).
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $img      ]; then echo "$img does not exist";       exit 77; fi
-if [ ! -f $source   ]; then echo "$source does not exist";    exit 77; fi
-if [ ! -f $execname ]; then echo "$execname does not exist."; exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created.";  exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";    exit 77; fi
+if [ ! -f $source   ]; then echo "$source does not exist."; exit 77; fi
 
 
 
diff --git a/tests/convertt/blankch.sh b/tests/convertt/blankch.sh
index 74b182b..a496965 100755
--- a/tests/convertt/blankch.sh
+++ b/tests/convertt/blankch.sh
@@ -42,9 +42,9 @@ execname=../bin/$prog/ast$prog
 #     data file failed).
 #
 #   - libjpeg was not present on the system.
-if [ ! -f $execname ] || [ ! -f $img ] || [ "x$haslibjpeg" != "xyes" ]; then
-    exit 77;
-fi
+if [ ! -f $execname           ];then echo "$execname not created.";exit 77;fi
+if [ ! -f $img                ];then echo "$img does not exist.";  exit 77;fi
+if [ "x$haslibjpeg" != "xyes" ];then echo "libjpeg not present.";  exit 77;fi
 
 
 
diff --git a/tests/convertt/fitstojpeg.sh b/tests/convertt/fitstojpeg.sh
index 053153d..5c4308c 100755
--- a/tests/convertt/fitstojpeg.sh
+++ b/tests/convertt/fitstojpeg.sh
@@ -15,6 +15,7 @@
 
 
 
+
 # Preliminaries
 # =============
 #
@@ -41,9 +42,9 @@ execname=../bin/$prog/ast$prog
 #     data file failed).
 #
 #   - libjpeg was not present on the system.
-if [ ! -f $execname ] || [ ! -f $img ] || [ "x$haslibjpeg" != "xyes" ]; then
-    exit 77;
-fi
+if [ ! -f $execname           ];then echo "$execname not created.";exit 77;fi
+if [ ! -f $img                ];then echo "$img does not exist.";  exit 77;fi
+if [ "x$haslibjpeg" != "xyes" ];then echo "libjpeg not present.";  exit 77;fi
 
 
 
diff --git a/tests/convertt/fitstojpegcmyk.sh b/tests/convertt/fitstojpegcmyk.sh
index 92c2f99..03dc399 100755
--- a/tests/convertt/fitstojpegcmyk.sh
+++ b/tests/convertt/fitstojpegcmyk.sh
@@ -42,10 +42,9 @@ execname=../bin/$prog/ast$prog
 #     data file failed).
 #
 #   - libjpeg was not present on the system.
-if [ ! -f $execname ] || [ ! -f $img ] || [ "x$haslibjpeg" != "xyes" ]; then
-    exit 77;
-fi
-
+if [ ! -f $execname           ];then echo "$execname not created.";exit 77;fi
+if [ ! -f $img                ];then echo "$img does not exist.";  exit 77;fi
+if [ "x$haslibjpeg" != "xyes" ];then echo "libjpeg not present.";  exit 77;fi
 
 
 
diff --git a/tests/convertt/fitstopdf.sh b/tests/convertt/fitstopdf.sh
index 69b75e7..aef1e6d 100755
--- a/tests/convertt/fitstopdf.sh
+++ b/tests/convertt/fitstopdf.sh
@@ -42,7 +42,10 @@ execname=../bin/$prog/ast$prog
 #     data file failed).
 #
 #   - Ghostscript was not present on the system.
-if [ ! -f $execname ] || [ ! -f $img ] || [ "x$hasghostscript" != "xyes" ]; 
then
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
+if [ "x$hasghostscript" != "xyes" ]; then
+    echo "Ghostscript 9.10 or above not present.";
     exit 77;
 fi
 
@@ -50,7 +53,6 @@ fi
 
 
 
-
 # Actual test script
 # ==================
 $execname $img --output=pdf --invert
diff --git a/tests/convertt/fitstotxt.sh b/tests/convertt/fitstotxt.sh
index c99ab46..817777d 100755
--- a/tests/convertt/fitstotxt.sh
+++ b/tests/convertt/fitstotxt.sh
@@ -40,9 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
-
-
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/convertt/jpegtofits.sh b/tests/convertt/jpegtofits.sh
index 179a61b..aefe14c 100755
--- a/tests/convertt/jpegtofits.sh
+++ b/tests/convertt/jpegtofits.sh
@@ -42,9 +42,9 @@ execname=../bin/$prog/ast$prog
 #     data file failed).
 #
 #   - libjpeg was not present on the system.
-if [ ! -f $execname ] || [ ! -f $img ] || [ "x$haslibjpeg" != "xyes" ]; then
-    exit 77;
-fi
+if [ ! -f $execname           ];then echo "$execname not created.";exit 77;fi
+if [ ! -f $img                ];then echo "$img does not exist.";  exit 77;fi
+if [ "x$haslibjpeg" != "xyes" ];then echo "libjpeg not present.";  exit 77;fi
 
 
 
diff --git a/tests/convertt/jpegtotxt.sh b/tests/convertt/jpegtotxt.sh
index edf570b..ec513fe 100755
--- a/tests/convertt/jpegtotxt.sh
+++ b/tests/convertt/jpegtotxt.sh
@@ -42,9 +42,9 @@ execname=../bin/$prog/ast$prog
 #     data file failed).
 #
 #   - libjpeg was not present on the system.
-if [ ! -f $execname ] || [ ! -f $img ] || [ "x$haslibjpeg" != "xyes" ]; then
-    exit 77;
-fi
+if [ ! -f $execname           ];then echo "$execname not created.";exit 77;fi
+if [ ! -f $img                ];then echo "$img does not exist.";  exit 77;fi
+if [ "x$haslibjpeg" != "xyes" ];then echo "libjpeg not present.";  exit 77;fi
 
 
 
diff --git a/tests/convolve/frequency.sh b/tests/convolve/frequency.sh
index 4bdf9a2..23667f9 100755
--- a/tests/convolve/frequency.sh
+++ b/tests/convolve/frequency.sh
@@ -41,8 +41,9 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ] || [ ! -f $psf ]; then exit 77; fi
-
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
+if [ ! -f $psf      ]; then echo "$psf does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/convolve/spatial.sh b/tests/convolve/spatial.sh
index 92c1aa8..a646e13 100755
--- a/tests/convolve/spatial.sh
+++ b/tests/convolve/spatial.sh
@@ -41,8 +41,9 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ] || [ ! -f $psf ]; then exit 77; fi
-
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
+if [ ! -f $psf      ]; then echo "$psf does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/cosmiccal/simpletest.sh b/tests/cosmiccal/simpletest.sh
index b6aeac6..4b9f500 100755
--- a/tests/cosmiccal/simpletest.sh
+++ b/tests/cosmiccal/simpletest.sh
@@ -36,8 +36,7 @@ execname=../bin/$prog/ast$prog
 # types of dependencies:
 #
 #   - The executable was not made (for example due to a configure option),
-#
-if [ ! -f $execname ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created.";    exit 77; fi
 
 
 
diff --git a/tests/crop/imgcat.sh b/tests/crop/imgcat.sh
index fddf1d0..b782fcd 100755
--- a/tests/crop/imgcat.sh
+++ b/tests/crop/imgcat.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/crop/imgoutpolygon.sh b/tests/crop/imgoutpolygon.sh
index 173028a..3a0b532 100755
--- a/tests/crop/imgoutpolygon.sh
+++ b/tests/crop/imgoutpolygon.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/crop/imgpolygon.sh b/tests/crop/imgpolygon.sh
index 3144712..0c6b459 100755
--- a/tests/crop/imgpolygon.sh
+++ b/tests/crop/imgpolygon.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/crop/radec.sh b/tests/crop/radec.sh
index 8a36edf..001f961 100755
--- a/tests/crop/radec.sh
+++ b/tests/crop/radec.sh
@@ -39,9 +39,10 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ]; then exit 77; fi
-for fn in $img; do if [ ! -f $fn ]; then exit 77; fi; done
-
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+for fn in $img; do
+    if [ ! -f $fn ]; then echo "$fn does not exist."; exit 77; fi;
+done
 
 
 
diff --git a/tests/crop/section.sh b/tests/crop/section.sh
index ec034a4..5df61bf 100755
--- a/tests/crop/section.sh
+++ b/tests/crop/section.sh
@@ -40,8 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
-
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/crop/wcscat.sh b/tests/crop/wcscat.sh
index 9bfa7bd..011194b 100755
--- a/tests/crop/wcscat.sh
+++ b/tests/crop/wcscat.sh
@@ -39,8 +39,10 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ]; then exit 77; fi
-for fn in $img; do if [ ! -f $fn ]; then exit 77; fi; done
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+for fn in $img; do
+    if [ ! -f $fn ]; then echo "$fn doesn't exist."; exit 77; fi;
+done
 
 
 
diff --git a/tests/crop/wcspolygon.sh b/tests/crop/wcspolygon.sh
index 762c59e..0e302fc 100755
--- a/tests/crop/wcspolygon.sh
+++ b/tests/crop/wcspolygon.sh
@@ -39,15 +39,9 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ]; then
-    echo "$execname doesn't exist.";
-    exit 77;
-fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
 for fn in $img; do
-    if [ ! -f $fn ]; then
-        echo "$fn doesn't exist";
-        exit 77;
-    fi;
+    if [ ! -f $fn ]; then echo "$fn doesn't exist."; exit 77; fi;
 done
 
 
diff --git a/tests/crop/xcyc.sh b/tests/crop/xcyc.sh
index fcee436..f472ee0 100755
--- a/tests/crop/xcyc.sh
+++ b/tests/crop/xcyc.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/crop/xcycnoblank.sh b/tests/crop/xcycnoblank.sh
index 6544485..394ab4a 100755
--- a/tests/crop/xcycnoblank.sh
+++ b/tests/crop/xcycnoblank.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/fits/copyhdu.sh b/tests/fits/copyhdu.sh
index 4354cea..453d831 100755
--- a/tests/fits/copyhdu.sh
+++ b/tests/fits/copyhdu.sh
@@ -41,9 +41,9 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ]; then echo "$execname doesn't exist."; exit 77; fi
-if [ ! -f $img1     ]; then echo "$img1 doesn't exist.";     exit 77; fi
-if [ ! -f $img2     ]; then echo "$img2 doesn't exist.";     exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img1     ]; then echo "$img1 does not exist.";  exit 77; fi
+if [ ! -f $img2     ]; then echo "$img2 does not exist.";  exit 77; fi
 
 
 
diff --git a/tests/fits/delete.sh b/tests/fits/delete.sh
index 4c8f932..8ee2ece 100755
--- a/tests/fits/delete.sh
+++ b/tests/fits/delete.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/fits/print.sh b/tests/fits/print.sh
index 5c2e07d..298fdd3 100755
--- a/tests/fits/print.sh
+++ b/tests/fits/print.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/fits/update.sh b/tests/fits/update.sh
index 1b7a6eb..4195379 100755
--- a/tests/fits/update.sh
+++ b/tests/fits/update.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/fits/write.sh b/tests/fits/write.sh
index 8bc9b6b..dde0a2a 100755
--- a/tests/fits/write.sh
+++ b/tests/fits/write.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/lib/multithread.sh b/tests/lib/multithread.sh
index f1f3460..d3a957f 100755
--- a/tests/lib/multithread.sh
+++ b/tests/lib/multithread.sh
@@ -36,8 +36,11 @@ execname=./multithread
 # If the actual executable wasn't built, then this is a hard error and must
 # be FAIL. But if the input doesn't exist, its not this test's fault. So
 # just SKIP this test.
-if [ ! -f $execname ]; then echo "$execname not built"; exit 99; fi;
-if [ ! -f $img      ]; then echo "$img not built";      exit 77; fi;
+if [ ! -f $execname ]; then
+    echo "$execname library program not compiled.";
+    exit 99;
+fi;
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi;
 
 
 
diff --git a/tests/lib/versioncpp.sh b/tests/lib/versioncpp.sh
index 3d8c288..24cfed2 100755
--- a/tests/lib/versioncpp.sh
+++ b/tests/lib/versioncpp.sh
@@ -32,9 +32,11 @@ execname=./versioncpp
 # =====
 #
 # If the actual executable wasn't built, then this is a hard error and must
-# be FAIL. But if the input doesn't exist, its not this test's fault. So
-# just SKIP this test.
-if [ ! -f $execname ]; then echo "$execname not built"; exit 99; fi;
+# be FAIL.
+if [ ! -f $execname ]; then
+    echo "$execname library program not compiled.";
+    exit 99;
+fi;
 
 
 
diff --git a/tests/mkcatalog/aperturephot.sh b/tests/mkcatalog/aperturephot.sh
index 3364699..5004ae8 100755
--- a/tests/mkcatalog/aperturephot.sh
+++ b/tests/mkcatalog/aperturephot.sh
@@ -41,9 +41,9 @@ img=convolve_spatial_noised_labeled.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ]; then echo "$execname doesn't exist."; exit 77; fi
-if [ ! -f $img ];      then echo "$img doesn't exist.";      exit 77; fi
-if [ ! -f $objimg ];   then echo "$objimg doesn't exist";    exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created.";  exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";    exit 77; fi
+if [ ! -f $objimg   ]; then echo "$objimg does not exist";  exit 77; fi
 
 
 
diff --git a/tests/mkcatalog/simple.sh b/tests/mkcatalog/simple.sh
index 42b7d76..31df649 100755
--- a/tests/mkcatalog/simple.sh
+++ b/tests/mkcatalog/simple.sh
@@ -40,7 +40,8 @@ img=convolve_spatial_noised_labeled.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/mknoise/addnoise.sh b/tests/mknoise/addnoise.sh
index bf73005..1cb9a9c 100755
--- a/tests/mknoise/addnoise.sh
+++ b/tests/mknoise/addnoise.sh
@@ -46,7 +46,9 @@ img2=convolve_spatial_scaled.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img1 ] || [ ! -f $img2 ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname doesn't exist."; exit 77; fi
+if [ ! -f $img1     ]; then echo "$img1 does not exist.";    exit 77; fi
+if [ ! -f $img2     ]; then echo "$img2 does not exist.";    exit 77; fi
 
 
 
diff --git a/tests/mkprof/clearcanvas.sh b/tests/mkprof/clearcanvas.sh
index 1b42432..fec50cb 100755
--- a/tests/mkprof/clearcanvas.sh
+++ b/tests/mkprof/clearcanvas.sh
@@ -41,7 +41,11 @@ cat=$topsrc/tests/$prog/clearcanvas.txt
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+#
+#   - Catalog doesn't exist (problem in tarball release).
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
+if [ ! -f $cat      ]; then echo "$cat does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/mkprof/ellipticalmasks.sh b/tests/mkprof/ellipticalmasks.sh
index 37df274..5464f22 100755
--- a/tests/mkprof/ellipticalmasks.sh
+++ b/tests/mkprof/ellipticalmasks.sh
@@ -41,7 +41,11 @@ cat=$topsrc/tests/$prog/ellipticalmasks.txt
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+#
+#   - Catalog doesn't exist (problem in tarball release).
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $cat      ]; then echo "$cat does not exist.";   exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/mkprof/mosaic1.sh b/tests/mkprof/mosaic1.sh
index f9eacc7..ba9dd03 100755
--- a/tests/mkprof/mosaic1.sh
+++ b/tests/mkprof/mosaic1.sh
@@ -38,9 +38,11 @@ cat=$topsrc/tests/$prog/mkprofcat1.txt
 # If the dependencies of the test don't exist, then skip it. There are two
 # types of dependencies:
 #
-#   - The executable was not made (for example due to a configure option),
+#   - The executable was not made (for example due to a configure option).
 #
-if [ ! -f $execname ]; then exit 77; fi
+#   - Catalog doesn't exist (problem in tarball release).
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $cat      ]; then echo "$cat does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/mkprof/mosaic2.sh b/tests/mkprof/mosaic2.sh
index 1d0257c..63171fc 100755
--- a/tests/mkprof/mosaic2.sh
+++ b/tests/mkprof/mosaic2.sh
@@ -43,9 +43,11 @@ cat=$topsrc/tests/$prog/mkprofcat2.txt
 # If the dependencies of the test don't exist, then skip it. There are two
 # types of dependencies:
 #
-#   - The executable was not made (for example due to a configure option),
+#   - The executable was not made (for example due to a configure option).
 #
-if [ ! -f $execname ]; then exit 77; fi
+#   - Catalog doesn't exist (problem in tarball release).
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $cat      ]; then echo "$cat does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/mkprof/mosaic3.sh b/tests/mkprof/mosaic3.sh
index 34cf33a..7cf5322 100755
--- a/tests/mkprof/mosaic3.sh
+++ b/tests/mkprof/mosaic3.sh
@@ -41,10 +41,11 @@ cat=$topsrc/tests/$prog/mkprofcat3.txt
 # If the dependencies of the test don't exist, then skip it. There are two
 # types of dependencies:
 #
-#   - The executable was not made (for example due to a configure option),
+#   - The executable was not made (for example due to a configure option)
 #
-if [ ! -f $execname ]; then exit 77; fi
-
+#   - Catalog doesn't exist (problem in tarball release).
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $cat      ]; then echo "$cat does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/mkprof/mosaic4.sh b/tests/mkprof/mosaic4.sh
index f9d1a8f..c495fd7 100755
--- a/tests/mkprof/mosaic4.sh
+++ b/tests/mkprof/mosaic4.sh
@@ -41,9 +41,11 @@ cat=$topsrc/tests/$prog/mkprofcat4.txt
 # If the dependencies of the test don't exist, then skip it. There are two
 # types of dependencies:
 #
-#   - The executable was not made (for example due to a configure option),
+#   - The executable was not made (for example due to a configure option).
 #
-if [ ! -f $execname ]; then exit 77; fi
+#   - Catalog doesn't exist (problem in tarball release).
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $cat      ]; then echo "$cat does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/mkprof/radeccat.sh b/tests/mkprof/radeccat.sh
index 34b125c..9bae1c4 100755
--- a/tests/mkprof/radeccat.sh
+++ b/tests/mkprof/radeccat.sh
@@ -36,9 +36,11 @@ cat=$topsrc/tests/$prog/radeccat.txt
 # If the dependencies of the test don't exist, then skip it. There are two
 # types of dependencies:
 #
-#   - The executable was not made (for example due to a configure option),
+#   - The executable was not made (for example due to a configure option).
 #
-if [ ! -f $execname ]; then exit 77; fi
+#   - Catalog doesn't exist (problem in tarball release).
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $cat      ]; then echo "$cat does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/noisechisel/noisechisel.sh b/tests/noisechisel/noisechisel.sh
index b9e593e..14578c4 100755
--- a/tests/noisechisel/noisechisel.sh
+++ b/tests/noisechisel/noisechisel.sh
@@ -40,7 +40,8 @@ img=convolve_spatial_noised.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";    exit 77; fi
 
 
 
diff --git a/tests/statistics/basicstats.sh b/tests/statistics/basicstats.sh
index 44ed365..d67bab6 100755
--- a/tests/statistics/basicstats.sh
+++ b/tests/statistics/basicstats.sh
@@ -40,7 +40,8 @@ img=convolve_spatial_scaled_noised.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/statistics/estimate_sky.sh b/tests/statistics/estimate_sky.sh
index fd5116d..8ffe2da 100755
--- a/tests/statistics/estimate_sky.sh
+++ b/tests/statistics/estimate_sky.sh
@@ -40,7 +40,8 @@ img=convolve_spatial_noised.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/table/fits-ascii-to-txt.sh b/tests/table/fits-ascii-to-txt.sh
index ea5a098..9be3d5d 100755
--- a/tests/table/fits-ascii-to-txt.sh
+++ b/tests/table/fits-ascii-to-txt.sh
@@ -23,8 +23,8 @@
 # basic checks to see if the executable is made or if the defaults
 # file exists (basicchecks.sh is in the source tree).
 prog=table
-execname=../bin/$prog/ast$prog
 table=ascii-table.fits
+execname=../bin/$prog/ast$prog
 
 
 
@@ -40,7 +40,8 @@ table=ascii-table.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $table    ]; then echo "$table doesn't exist.";  exit 77; fi
 
 
 
@@ -48,4 +49,4 @@ if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
 
 # Actual test script
 # ==================
-$execname $table --output=from-ascii-table.txt -h1
+$execname $table --output=from-ascii-table.txt
diff --git a/tests/table/fits-binary-to-txt.sh 
b/tests/table/fits-binary-to-txt.sh
index 15c1b75..29280f7 100755
--- a/tests/table/fits-binary-to-txt.sh
+++ b/tests/table/fits-binary-to-txt.sh
@@ -23,8 +23,8 @@
 # basic checks to see if the executable is made or if the defaults
 # file exists (basicchecks.sh is in the source tree).
 prog=table
-execname=../bin/$prog/ast$prog
 table=binary-table.fits
+execname=../bin/$prog/ast$prog
 
 
 
@@ -40,7 +40,8 @@ table=binary-table.fits
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $table    ]; then echo "$table doesn't exist.";  exit 77; fi
 
 
 
@@ -48,4 +49,4 @@ if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
 
 # Actual test script
 # ==================
-$execname $table --output=from-binary-table.txt -h1
+$execname $table --output=from-binary-table.txt
diff --git a/tests/table/txt-to-fits-ascii.sh b/tests/table/txt-to-fits-ascii.sh
index 93ed8be..3c5fcd9 100755
--- a/tests/table/txt-to-fits-ascii.sh
+++ b/tests/table/txt-to-fits-ascii.sh
@@ -40,7 +40,8 @@ table=$topsrc/tests/$prog/table.txt
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $table    ]; then echo "$table doesn't exist.";  exit 77; fi
 
 
 
diff --git a/tests/table/txt-to-fits-binary.sh 
b/tests/table/txt-to-fits-binary.sh
index 937633e..582352d 100755
--- a/tests/table/txt-to-fits-binary.sh
+++ b/tests/table/txt-to-fits-binary.sh
@@ -40,7 +40,8 @@ table=$topsrc/tests/$prog/table.txt
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $table    ]; then echo "$table does not exist."; exit 77; fi
 
 
 
diff --git a/tests/warp/homographic.sh b/tests/warp/homographic.sh
index 3cab490..acf78d7 100755
--- a/tests/warp/homographic.sh
+++ b/tests/warp/homographic.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 
diff --git a/tests/warp/warp_scale.sh b/tests/warp/warp_scale.sh
index bf6643c..9bbe0e2 100755
--- a/tests/warp/warp_scale.sh
+++ b/tests/warp/warp_scale.sh
@@ -40,7 +40,8 @@ execname=../bin/$prog/ast$prog
 #
 #   - The input data was not made (for example the test that created the
 #     data file failed).
-if [ ! -f $execname ] || [ ! -f $img ]; then exit 77; fi
+if [ ! -f $execname ]; then echo "$execname not created."; exit 77; fi
+if [ ! -f $img      ]; then echo "$img does not exist.";   exit 77; fi
 
 
 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]